Bug 1371649 - Wrapper script must be adapted for RHEL and product support matrix
Summary: Wrapper script must be adapted for RHEL and product support matrix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 10.0 (Newton)
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 17:30 UTC by Elise Gafford
Modified: 2016-12-14 15:54 UTC (History)
4 users (show)

Fixed In Version: sahara-image-elements-5.0.0-2.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement updates the main script on `sahara-image-element` to only allow the creation of images for supported plugins. For example, you can use the following command to create a CDH 5.7 image using Red Hat Enterprise Linux 7: ---- >> ./diskimage-create/diskimage-create.sh -p cloudera -v 5.7 Usage: diskimage-create.sh [-p cloudera|mapr|ambari] [-v 5.5|5.7|2.3|2.4] [-r 5.1.0] ----
Clone Of:
Environment:
Last Closed: 2016-12-14 15:54:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Elise Gafford 2016-08-30 17:30:05 UTC
Description of problem:

As we do not test RHEL subscription in the upstream CI, we must add it to sahara-image-elements/diskimage-create/diskimage-create.sh in each release (as per RHOS 9.)

Additionally, this script must be modified to remove unsupported distributions, plugins, and versions. At present we intend to support only:

Distributions:
1) CentOS 7
2) RHEL 7

Plugins:
1) CDH 5.5 and 5.7
2) Ambari 2.3 and 2.4
3) MapR 5.1

It should be noted that since 9.0, we are no longer removing unsupported elements from the codebase. These elements should be left in place, and only the wrapper script and doc should be modified.

Comment 6 Luigi Toscano 2016-11-03 17:37:17 UTC
The wrapper script was changed to show only the relevant plugins/plugin versions.

Usage: diskimage-create.sh
         [-p cloudera|mapr|ambari]
         [-v 5.5|5.7|2.3|2.4]
         [-r 5.1.0]
....

Verified on:
sahara-image-elements-5.0.0-2.el7ost.noarch

Comment 8 errata-xmlrpc 2016-12-14 15:54:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.